package com.baijiayun.live.ui.preview

import android.os.Bundle
import com.baijiayun.liveuibase.utils.getRouterViewModel
import com.baijiayun.liveuibase.widgets.setting.BaseSettingFragment
import com.baijiayun.liveuibase.widgets.setting.fragment.SettingBeautyFragment

/**
 * @author        pengwenjian
 * @date          2023/2/28
 * @description：
 */
class SettingBeautyDialogFragment : PreviewSettingDialogFragment() {
    companion object {
        fun newInstance(): SettingBeautyDialogFragment{
            val args = Bundle()
            val fragment = SettingBeautyDialogFragment()
            fragment.arguments = args
            return fragment
        }
    }

    override fun getSettingFragment(): BaseSettingFragment {
        val fragment = SettingBeautyFragment.newInstance(isSmallSize = true)
        fragment.setRouterViewModel(getRouterViewModel())
        return fragment
    }
}